Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 124)
@@ -19,6 +19,6 @@
   <parameter name="implement_group"                                                       default="0"   level="..." description="..." />
   <parameter name="ras_size_queue"                        min="2"   max="32"   step="* 2" default="2"   level="..." description="..." />
-  <parameter name="upt_size_queue"                        min="1"   max="32"   step="* 2" default="2"   level="..." description="..." />
-  <parameter name="ufpt_size_queue"                       min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
+  <parameter name="upt_size_queue"                        min="1"   max="32"   step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="ufpt_size_queue"                       min="1"   max="16"   step="+ 1" default="2"   level="..." description="..." />
                                                                                
   <parameter name="nb_decod_bloc"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -77,10 +77,10 @@
   <parameter name="dir_predictor_scheme"                  min="0"   max="8"    step="+ 1" default="1"   level="..." description="0 : Never take, 1 : Always Take, 2 : Static, 3 : Last Take, 4 : Counter, 5 : Local predictor, 6 : Global predictor, 7 : Meta predictor, 8 : Custom predictor" />
   <parameter name="dir_have_bht"                                                          default="1"   level="..." description="..." />
-  <parameter name="dir_bht_size_shifter"                  min="1"   max="10"   step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="dir_bht_nb_shifter"                    min="1"   max="1024" step="* 2" default="1"   level="..." description="..." />
+  <parameter name="dir_bht_size_shifter"                  min="1"   max="12"   step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_bht_nb_shifter"                    min="1"   max="4096" step="* 2" default="1"   level="..." description="..." />
   <parameter name="dir_have_pht"                                                          default="1"   level="..." description="..." />
   <parameter name="dir_pht_size_counter"                  min="1"   max="4"    step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_nb_counter"                    min="1"   max="1024" step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_size_address_share"            min="0"   max="10"   step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_pht_nb_counter"                    min="1"   max="4096" step="* 2" default="1"   level="..." description="..." />
+  <parameter name="dir_pht_size_address_share"            min="0"   max="12"   step="+ 1" default="1"   level="..." description="..." />
                                                                                
   <parameter name="nb_ooo_engine"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -92,5 +92,5 @@
   <parameter name="nb_rename_unit_select"                 min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="nb_execute_loop_select"                min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
-  <parameter name="size_re_order_buffer"                  min="1"   max="256"  step="* 2" default="1"   level="..." description="..." />
+  <parameter name="size_re_order_buffer"                  min="1"   max="256"  step="+ 1" default="1"   level="..." description="..." />
   <parameter name="nb_re_order_buffer_bank"               min="1"   max="64"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="commit_priority"                       min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 124)
@@ -17,16 +17,18 @@
   <parameter  name="directory_log"                          value="/tmp/"   />
 
-  <parameter  name="statistics_cycle_start"                 value="5"       />
+  <parameter  name="statistics_cycle_start"                 value="100000"  />
   <parameter  name="statistics_period"                      value="0"       />
                                                             
-  <parameter  name="simulation_nb_cycle"                    value="10000000" />
+  <parameter  name="simulation_nb_cycle"                    value="1000000" />
   <parameter  name="simulation_nb_instruction"              value="0"       />
-                                                            
-  <parameter  name="debug_level"                            value="0"       />
+  <parameter  name="simulation_file_with_pid"               value="0"       />
+  <parameter  name="simulation_file_with_date"              value="1"       />
+
+  <parameter  name="debug_level"                            value="3"       />
   <parameter  name="debug_cycle_start"                      value="0"       />
-  <parameter  name="debug_cycle_stop"                       value="2000000" />
+  <parameter  name="debug_cycle_stop"                       value="10000000"/>
+  <parameter  name="debug_nb_cycle"                         value="10000000"/>
 
   <parameter  name="debug_log_file_generate"                value="0"       />
-  <parameter  name="debug_log_file_with_pid"                value="0"       />
   <parameter  name="debug_idle_cycle"                       value="1000"    />
   <parameter  name="debug_idle_time"                        value="3"       />
Index: trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg	(revision 123)
+++ trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg	(revision 124)
@@ -1,12 +1,12 @@
 <?xml version="1.0" encoding="ISO-8859-1" ?>
 
-<core name="Instance_x1_w4_1">
-
-  <thread id="0">             
+<core name="Instance_x1_w4_2">
+
+  <thread id="0,1,2,3">             
     <parameter name="size_ifetch_queue"                     value="32" />
     <parameter name="nb_inst_fetch"                         value="8" />
-    <parameter name="ras_size_queue"                        value="8" />
+    <parameter name="ras_size_queue"                        value="16" />
     <parameter name="upt_size_queue"                        value="16" />
-    <parameter name="ufpt_size_queue"                       value="4" />
+    <parameter name="ufpt_size_queue"                       value="6" />
 
     <group id="0">
@@ -36,5 +36,5 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0,1,2,3">                                        
+  <read_bloc id="0,1,2,3,4,5">
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -42,5 +42,5 @@
   </read_bloc>                                              
 
-  <write_bloc id="0,1,2,3">                                       
+  <write_bloc id="0,1,2,3,4,5">
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -60,5 +60,12 @@
   </load_store_unit>
 
-  <functionnal_unit id="0,1" >
+  <functionnal_unit id="0">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <functionnal_unit id="1,2,3,4" >
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
@@ -72,13 +79,6 @@
   </functionnal_unit>
 
-  <functionnal_unit id="2">
-    <parameter name="nb_inst_functionnal_unit" value="1" />
-
-    <timing type="8"  latence="1" delay="1" />
-    <timing type="10" latence="1" delay="1" />
-  </functionnal_unit>
-
   <front_end id="0">        
-    <parameter name="nb_context"                            value="1" />
+    <parameter name="nb_context"                            value="4" />
     <parameter name="nb_decod_unit"                         value="1" />
     <parameter name="nb_inst_branch_predict"                value="1" />
@@ -89,22 +89,22 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="2" />
-                                                            
+    <parameter name="dir_predictor_scheme"                  value="4" />
+                                  
     <predictor id="0">                                      
-      <parameter name="dir_have_bht"                        value="0"  />
-      <parameter name="dir_bht_size_shifter"                value="1"  />
-      <parameter name="dir_bht_nb_shifter"                  value="64" />
+      <parameter name="dir_have_bht"                        value="1"  />
+      <parameter name="dir_bht_size_shifter"                value="10" />
+      <parameter name="dir_bht_nb_shifter"                  value="1024" />
       <parameter name="dir_have_pht"                        value="1"  />
       <parameter name="dir_pht_size_counter"                value="2"  />
-      <parameter name="dir_pht_nb_counter"                  value="16" />
+      <parameter name="dir_pht_nb_counter"                  value="1024" />
       <parameter name="dir_pht_size_address_share"          value="0"  />
     </predictor>                                            
     <predictor id="1">                                      
       <parameter name="dir_have_bht"                        value="1" />
-      <parameter name="dir_bht_size_shifter"                value="4" />
+      <parameter name="dir_bht_size_shifter"                value="10" />
       <parameter name="dir_bht_nb_shifter"                  value="1" />
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_nb_counter"                  value="1024" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
@@ -113,5 +113,5 @@
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="128" />
+      <parameter name="dir_pht_nb_counter"                  value="1024" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
@@ -126,5 +126,5 @@
     <parameter name="nb_rename_unit_select"                 value="1" />
     <parameter name="nb_execute_loop_select"                value="1" />
-    <parameter name="size_re_order_buffer"                  value="64"/>
+    <parameter name="size_re_order_buffer"                  value="128"/>
     <parameter name="nb_re_order_buffer_bank"               value="16" />
     <parameter name="commit_priority"                       value="1" />
@@ -141,13 +141,13 @@
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="4" />
-    <parameter name="nb_write_unit"                         value="4" />
-    <parameter name="nb_execute_unit"                       value="4" />
+    <parameter name="nb_read_unit"                          value="6" />
+    <parameter name="nb_write_unit"                         value="6" />
+    <parameter name="nb_execute_unit"                       value="6" />
     <parameter name="nb_gpr_bank"                           value="1" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="8" />
-    <parameter name="nb_gpr_port_write_by_bank"             value="4" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="12" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="6" />
     <parameter name="nb_spr_bank"                           value="1" />
-    <parameter name="nb_spr_port_read_by_bank"              value="4" />
-    <parameter name="nb_spr_port_write_by_bank"             value="4" />
+    <parameter name="nb_spr_port_read_by_bank"              value="5" />
+    <parameter name="nb_spr_port_write_by_bank"             value="5" />
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
@@ -168,17 +168,36 @@
 
   <link name="link_context_with_thread"                src="0"     dest="0.0" />
+  <link name="link_context_with_thread"                src="1"     dest="0.1" />
+  <link name="link_context_with_thread"                src="2"     dest="0.2" />
+  <link name="link_context_with_thread"                src="3"     dest="0.3" />
+
   <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
+
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_read_unit_with_read_bloc"           src="2"     dest="0.2" />
   <link name="link_read_unit_with_read_bloc"           src="3"     dest="0.3" />
+  <link name="link_read_unit_with_read_bloc"           src="4"     dest="0.4" />
+  <link name="link_read_unit_with_read_bloc"           src="5"     dest="0.5" />
+
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
   <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="2"     dest="0.2" />
   <link name="link_write_unit_with_write_bloc"         src="3"     dest="0.3" />
+  <link name="link_write_unit_with_write_bloc"         src="4"     dest="0.4" />
+  <link name="link_write_unit_with_write_bloc"         src="5"     dest="0.5" />
+
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
+  <link name="link_decod_bloc_with_thread"             src="1"     dest="0"   />
+  <link name="link_decod_bloc_with_thread"             src="2"     dest="0"   />
+  <link name="link_decod_bloc_with_thread"             src="3"     dest="0"   />
+
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
+
   <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="1"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="2"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="3"     dest="0"   />
 
   <link name="link_execute_unit_with_load_store_unit"  src="0"     dest="0.0"/>
@@ -186,27 +205,43 @@
   <link name="link_execute_unit_with_functionnal_unit" src="1"     dest="0.2"/>
   <link name="link_execute_unit_with_functionnal_unit" src="2"     dest="0.3"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="3"     dest="0.4"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="4"     dest="0.5"/>
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
+  <link name="link_icache_port_with_thread"            src="1"     dest="0"   />
+  <link name="link_icache_port_with_thread"            src="2"     dest="0"   />
+  <link name="link_icache_port_with_thread"            src="3"     dest="0"   />
+
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="0"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="0"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="0"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
   <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="0"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="0"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="0"   />
+  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
   <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="0"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="0"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="0"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="0"   />
+  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
   <link name="table_dispatch"                          src="0.3.3" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
 
   <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
@@ -214,16 +249,37 @@
   <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
+
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.1"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.4"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.4"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
@@ -231,23 +287,65 @@
   <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.0"   dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.1"   dest="1"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.2"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.2"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="3.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.2"   dest="1"   />
+
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.3"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.3"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.3"   dest="1"   />
+
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.4"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.4"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.4"   dest="1"   />
 
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
   <link name="link_thread_and_functionnal_unit"        src="0.1"   dest="1"   />
   <link name="link_thread_and_functionnal_unit"        src="0.2"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.3"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.4"   dest="1"   />
+
+  <link name="link_thread_and_functionnal_unit"        src="1.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="1.1"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="1.2"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="1.3"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="1.4"   dest="1"   />
+
+  <link name="link_thread_and_functionnal_unit"        src="2.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="2.1"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="2.2"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="2.3"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="2.4"   dest="1"   />
+
+  <link name="link_thread_and_functionnal_unit"        src="3.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="3.1"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="3.2"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="3.3"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="3.4"   dest="1"   />
 
 </core>
